Bug 1011520 - cannot restore VM with disabled usb support to snapshot with RAM
cannot restore VM with disabled usb support to snapshot with RAM
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
19
Unspecified Linux
urgent Severity unspecified
: ---
: ---
Assigned To: Libvirt Maintainers
Fedora Extras Quality Assurance
:
Depends On: 1008340
Blocks: 1001709
  Show dependency treegraph
 
Reported: 2013-09-24 09:15 EDT by Arik
Modified: 2013-10-02 02:39 EDT (History)
19 users (show)

See Also:
Fixed In Version: libvirt-1.0.5.6-2.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1008340
Environment:
Last Closed: 2013-10-02 02:39:04 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Arik 2013-09-24 09:17:43 EDT
We need the fix that was made for the cloned bug to be backported to fedora 19
Comment 2 Cole Robinson 2013-09-24 09:21:35 EDT
From the private summary:

Description of problem:
Cannot restore snapshot that contains memory state when the VM is set (in ovirt) with disabled/legacy usb support. it works fine when it is set with native usb support.
The error I see in libvirt's log is:
unsupported configuration: Target controller type ide does not match source usb

And the upstream fixes:

commit 1b7bfa65e36996fc3a204452d2a844ab9f4b52b3
Author: Peter Krempa <pkrempa@redhat.com>
Date:   Mon Sep 16 13:40:42 2013 +0200

    qemu: Use "migratable" XML definition when doing external checkpoints
    
    In the original implementation of external checkpoints I've mistakenly
    used the live definition to be stored in the save image. The normal
    approach is to use the "migratable" definition. This was discovered when
    commit 07966f6a8b5ccb5bb4c716b25deb8ba2e572cc67 changed the behavior to
    use a converted XML from the user to do the compatibility check to fix
    problem when using the regular machine saving.
    
    As the previous patch added a compatibility layer, we can now change the
    type of the XML in the image.
    
    Resolves: https://bugzilla.redhat.com/show_bug.cgi?id=1008340

commit 59898a88ce8431bd3ea249b8789edc2ef9985827
Author: Peter Krempa <pkrempa@redhat.com>
Date:   Mon Sep 16 13:37:34 2013 +0200

    qemu: Fix checking of ABI stability when restoring external checkpoints
    
    External checkpoints have a bug in the implementation where they use the
    normal definition instead of the "migratable" one. This causes errors
    when the snapshot is being reverted using the workaround method via
    qemuDomainRestoreFlags() with a custom XML. This issue was introduced
    when commit 07966f6a8b5ccb5bb4c716b25deb8ba2e572cc67 changed the code to
    compare "migratable" XMLs from the user as we should have used
    migratable in the image too.
    
    This patch adds a compatibility layer, so that fixing the snapshot code
    won't make existing snapshots fail to load.
    
    Resolves: https://bugzilla.redhat.com/show_bug.cgi?id=1008340
Comment 3 Fedora Update System 2013-09-24 10:46:13 EDT
libvirt-1.0.5.6-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/libvirt-1.0.5.6-2.fc19
Comment 4 Fedora Update System 2013-09-26 02:08:28 EDT
Package libvirt-1.0.5.6-2.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libvirt-1.0.5.6-2.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-17618/libvirt-1.0.5.6-2.fc19
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2013-10-02 02:39:04 EDT
libvirt-1.0.5.6-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.